import { GenericCrudService } from '@d8d/shared-crud';
import { DataSource } from 'typeorm';
import { OrderGoodsMt } from '../entities/order-goods.mt.entity';

export class OrderGoodsMtService extends GenericCrudService<OrderGoodsMt> {
  constructor(dataSource: DataSource) {
    super(dataSource, OrderGoodsMt, {
      tenantOptions: { enabled: true, tenantIdField: 'tenantId' }
    });
  }
}